Main Page Namespaces Book

# Pango::FontMetrics Class Reference

List of all members.

## Detailed Description

A Pango::FontMetrics holds the overall metric information for a font (possibly restricted to a script).

## Public Member Functions

| FontMetrics (const FontMetrics& other)
| FontMetrics (PangoFontMetrics* gobject, bool make_a_copy=true)
| FontMetrics ()
int | get_approximate_char_width () const
| Gets the approximate character width for a font metrics structure.
int | get_approximate_digit_width () const
| Gets the approximate digit width for a font metrics structure.
int | get_ascent () const
| Gets the ascent from a font metrics structure.
int | get_descent () const
| Gets the descent from a font metrics structure.
int | get_strikethrough_position () const
| Gets the suggested position to draw the strikethrough.
int | get_strikethrough_thickness () const
| Gets the suggested thickness to draw for the strikethrough.
int | get_underline_position () const
| Gets the suggested position to draw the underline.
int | get_underline_thickness () const
| Gets the suggested thickness to draw for the underline.
const PangoFontMetrics* | gobj () const
| Provides access to the underlying C instance.
PangoFontMetrics* | gobj ()
| Provides access to the underlying C instance.
PangoFontMetrics* | gobj_copy () const
| Provides access to the underlying C instance. The caller is responsible for freeing it. Use when directly setting fields in structs.
FontMetrics& | operator= (const FontMetrics& other)
void | swap (FontMetrics& other)
| ~FontMetrics ()

## Protected Attributes

PangoFontMetrics* | gobject_

## Related Functions

(Note that these are not member functions.)
void | swap (FontMetrics& lhs, FontMetrics& rhs)
Pango::FontMetrics | wrap (PangoFontMetrics* object, bool take_copy=false)
| A Glib::wrap() method for this object.

## Constructor & Destructor Documentation

Pango::FontMetrics::FontMetrics | ( |  | ) |

Pango::FontMetrics::FontMetrics | ( | PangoFontMetrics * | gobject,
|  | bool | make_a_copy = `true` |
| ) |  |  | `[explicit]`

Pango::FontMetrics::FontMetrics | ( | const FontMetrics& | other | ) |

Pango::FontMetrics::~FontMetrics | ( |  | ) |

## Member Function Documentation

int Pango::FontMetrics::get_approximate_char_width | ( |  | ) | const

Gets the approximate character width for a font metrics structure.

This is merely a representative value useful, for example, for determining the initial size for a window. Actual characters in text will be wider and narrower than this.

Returns:
  The character width, in Pango units. (1 point == Pango::SCALE Pango units.).

int Pango::FontMetrics::get_approximate_digit_width | ( |  | ) | const

Gets the approximate digit width for a font metrics structure.

This is merely a representative value useful, for example, for determining the initial size for a window. Actual digits in text can be wider or narrower than this, though this value is generally somewhat more accurate than the result of pango_font_metrics_get_approximate_char_width() for digits.

Returns:
  The digit width, in Pango units. (1 point == Pango::SCALE Pango units.).

int Pango::FontMetrics::get_ascent | ( |  | ) | const

Gets the ascent from a font metrics structure.

The ascent is the distance from the baseline to the logical top of a line of text. (The logical top may be above or below the top of the actual drawn ink. It is necessary to lay out the text to figure where the ink will be.)

Returns:
  The ascent, in Pango units. (1 point == Pango::SCALE Pango units.).

int Pango::FontMetrics::get_descent | ( |  | ) | const

Gets the descent from a font metrics structure.

The descent is the distance from the baseline to the logical bottom of a line of text. (The logical bottom may be above or below the bottom of the actual drawn ink. It is necessary to lay out the text to figure where the ink will be.)

Returns:
  The descent, in Pango units. (1 point == Pango::SCALE Pango units.).

int Pango::FontMetrics::get_strikethrough_position | ( |  | ) | const

Gets the suggested position to draw the strikethrough.

The value returned is the distance above the baseline of the top of the strikethrough.

Returns:
  The suggested strikethrough position, in Pango units.

Since: 1.6.

int Pango::FontMetrics::get_strikethrough_thickness | ( |  | ) | const

Gets the suggested thickness to draw for the strikethrough.

Returns:
  The suggested strikethrough thickness, in Pango units.

Since: 1.6.

int Pango::FontMetrics::get_underline_position | ( |  | ) | const

Gets the suggested position to draw the underline.

The value returned is the distance above the baseline of the top of the underline. Since most fonts have underline positions beneath the baseline, this value is typically negative.

Returns:
  The suggested underline position, in Pango units.

Since: 1.6.

int Pango::FontMetrics::get_underline_thickness | ( |  | ) | const

Gets the suggested thickness to draw for the underline.

Returns:
  The suggested underline thickness, in Pango units.

Since: 1.6.

const PangoFontMetrics* Pango::FontMetrics::gobj | ( |  | ) | const`[inline]`

Provides access to the underlying C instance.

References gobject_.

PangoFontMetrics* Pango::FontMetrics::gobj | ( |  | ) | `[inline]`

Provides access to the underlying C instance.

References gobject_.

PangoFontMetrics* Pango::FontMetrics::gobj_copy | ( |  | ) | const

Provides access to the underlying C instance. The caller is responsible for freeing it. Use when directly setting fields in structs.

FontMetrics& Pango::FontMetrics::operator= | ( | const FontMetrics& | other | ) |

void Pango::FontMetrics::swap | ( | FontMetrics& | other | ) |

Referenced by swap().

## Friends And Related Function Documentation

void swap | ( | FontMetrics& | lhs,
|  | FontMetrics& | rhs |
| ) |  |  | `[related]`

Parameters:

  | lhs | The left-hand side
  | rhs | The right-hand side

References swap().

Pango::FontMetrics wrap | ( | PangoFontMetrics * | object,
|  | bool | take_copy = `false` |
| ) |  |  | `[related]`

A Glib::wrap() method for this object.

Parameters:

  | object | The C instance.
  | take_copy | False if the result should take ownership of the C instance. True if it should take a new copy or ref.

Returns:
  A C++ instance that wraps this C instance.

## Member Data Documentation

PangoFontMetrics* Pango::FontMetrics::gobject_`[protected]`

Referenced by gobj().

The documentation for this class was generated from the following file:

- fontmetrics.h